import fastifyPlugin from 'fastify-plugin';
async function constData(fastify, options) {
    fastify.log.warn('Register CONSTDATA Plugin!');

    const CONST = {
        // 系统名称
        SYSTEM_NAME: 'Fastify',

        // 分布式锁前缀
        DISTRIBUTED_LOCK_PREFIX: {
            // 注册用户
            REGISTER_USER: 'REGISTER_USER:',
        }
    }

    fastify.decorate('const', CONST);

    // 读取数据库基本信息
    fastify.log.warn('Register CONSTDATA Complete!');

}
export default fastifyPlugin(constData);